%global momorel 1
%global qtver 4.5.2

Summary: An Audio/MIDI multi-track sequencer
Name: qtractor
Version: 0.4.3
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://qtractor.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-0.4.2-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: ImageMagick
BuildPreReq: alsa-lib-devel
BuildPreReq: desktop-file-utils
BuildPreReq: dssi-devel
BuildPreReq: jack-devel
BuildPreReq: ladspa-devel
BuildPreReq: libmad
BuildPreReq: liblo-devel
BuildPreReq: libsamplerate-devel
BuildPreReq: libsndfile-devel
BuildPreReq: libvorbis-devel
BuildPreReq: rubberband-devel

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ with the Qt4 framework.
Target platform is Linux, where the Jack Audio Connection Kit (JACK)
for audio, and the Advanced Linux Sound Architecture (ALSA) for MIDI,
are the main infrastructures to evolve as a fairly-featured Linux desktop
audio workstation GUI, specially dedicated to the personal home-studio.

%prep
%setup -q

%patch0 -p1 -b .desktop-ja

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-key X-SuSE-translate \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32}/apps
convert -scale 16x16 icons/qtractor.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 icons/qtractor.png  %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README* TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon Oct 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.3-1m)
- version 0.4.3

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.2-1m)
- initial package for music freaks using Momonga Linux
